package com.ruoyi.traceability.mapper;

import java.util.List;
import com.ruoyi.traceability.domain.BaseAlarminfo;

/**
 * 报警信息Mapper接口
 * 
 * @author wenjy
 * @date 2023-01-01
 */
public interface BaseAlarminfoMapper 
{
    /**
     * 查询报警信息
     * 
     * @param objId 报警信息主键
     * @return 报警信息
     */
    public BaseAlarminfo selectBaseAlarminfoByObjId(Long objId);

    /**
     * 根据报警编号查询报警信息
     * @param code
     * @return
     */
    public BaseAlarminfo selectBaseAlarmInfoByAlarmCode(String code);

    /**
     * 查询报警信息列表
     * 
     * @param baseAlarminfo 报警信息
     * @return 报警信息集合
     */
    public List<BaseAlarminfo> selectBaseAlarminfoList(BaseAlarminfo baseAlarminfo);

    /**
     * 新增报警信息
     * 
     * @param baseAlarminfo 报警信息
     * @return 结果
     */
    public int insertBaseAlarminfo(BaseAlarminfo baseAlarminfo);

    /**
     * 修改报警信息
     * 
     * @param baseAlarminfo 报警信息
     * @return 结果
     */
    public int updateBaseAlarminfo(BaseAlarminfo baseAlarminfo);

    /**
     * 删除报警信息
     * 
     * @param objId 报警信息主键
     * @return 结果
     */
    public int deleteBaseAlarminfoByObjId(Long objId);

    /**
     * 批量删除报警信息
     * 
     * @param objIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseAlarminfoByObjIds(String[] objIds);
}
